EjbMessageDispatcher (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.ejb.EjbMessageDispatcher class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ejb
Class EjbMessageDispatcher

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageDispatcher
              org.mule.transport.rmi.RmiMessageDispatcher
                  org.mule.transport.ejb.EjbMessageDispatcher

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageDispatcher, MessageDispatching

    public class EjbMessageDispatcher

extends RmiMessageDispatcher

Invokes a method on an EJB object stored in Jndi. A dispatcher is created for each type of object invoked

Field Summary

Fields inherited from class org.mule.transport.rmi.RmiMessageDispatcher
`invokedMethod, remoteObject`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.transport.MessageDispatching
`RECEIVE_NO_WAIT, RECEIVE_WAIT_INDEFINITELY`

Constructor Summary
`EjbMessageDispatcher(OutboundEndpoint endpoint)`

Method Summary

Methods inherited from class org.mule.transport.rmi.RmiMessageDispatcher
`doConnect, doDisconnect, doDispatch, doDispose, doSend`

Methods inherited from class org.mule.transport.AbstractMessageDispatcher
`dispatch, dispose, getEndpoint, getWorkManager, initialise, isTransactionRollback, returnResponse, send`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, doStart, doStop, exceptionThrown, getConnectEventId, getConnectionDescription, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageDispatcher
`activate, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### EjbMessageDispatcher

    public EjbMessageDispatcher(OutboundEndpoint endpoint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.